<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0"  bgcolor="#FFFFFF">
  <tr>
    <td height="136" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="136" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left; padding-left: 70px;">
<!-- LOGO -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="left" class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="left" class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="107" background="images/eug_05.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="107" width="253"><img src="images/eug_03.jpg" width="253" height="107" alt="" /></td>
      <td width="100%" style="background-image: url(images/eug_04.jpg);
	background-repeat: no-repeat;
	background-position: left;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="107" align="center"  style="background-image: url(images/eug_07.jpg);
	background-repeat: no-repeat;
	background-position: right;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
            <tr>
            <xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
<!-- END MENU -->
		  </td>
        </tr>
      </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/eug_25.jpg">
      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="253" valign="top" style="background-image: url(images/eug_27.jpg);
	background-repeat:no-repeat;
	background-position: left bottom; padding-bottom: 130px;"><table width="253" height="100%" border="0" cellpadding="0" cellspacing="0" >
            <tr>
              <td align="left" valign="top" style="background-image: url(images/eug_08.jpg);
	background-repeat: no-repeat;
	background-position: left top;padding-left: 20px;">
<!-- SUBMENU --> 
			  <table width="163" border="0" cellspacing="0" cellpadding="0">
               <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              </table>
<!-- END SUBMENU -->
</td>
            </tr>
        
          </table></td>
          <td width="100%" height="100%" valign="top" background="images/eug_09.jpg">
<div style="width:0px; height:15px;"><span></span></div>
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header" style="padding-top: 2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/eug_13.jpg" width="23" height="22" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:10px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
	   		  <xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
		  </td>
          <td width="7%" valign="top" background="images/eug_28.jpg"><img src="images/eug_11.jpg" width="70" height="163" alt="" /></td>
        </tr>
      </table>      
</td>
  </tr>
  <tr>
    <td height="61" background="images/eug_36.jpg">
	<table width="100%" height="61"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="61" width="253"><img src="images/eug_33.jpg" width="253" height="61" alt="" /></td>
      <td width="100%" style="background-image: url(images/eug_34.jpg);
	background-repeat: no-repeat;
	background-position: left;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="61"  style="background-image: url(images/eug_37.jpg);
	background-repeat: no-repeat;
	background-position: right;"></td>
        </tr>
      </table></td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td height="92" background="images/eug_39.jpg"><table height="92" width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="23%" height="92" background="images/eug_38.jpg"><table width="253" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" class="footer" style="padding-left: 10px; padding-right: 10px;">
<!-- FOOTER -->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!-- END FOOTER -->
			</td>
          </tr>
          <tr>
            <td><img src="images/spacer.gif" width="253" height="1" alt="" /></td>
          </tr>
        </table></td>
        <td width="100%" align="right" style="background-image: url(images/eug_39.jpg);
	background-repeat: no-repeat;
	background-position: left; padding-right: 50px;">
<!-- BOOTTOM MENU -->
<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
                  <td width="54" align="right"><img src="images/eug_18.gif" /></td>
                  <td width="126" class="asubmenu" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
         <td width="54" align="right"><img src="images/eug_18.gif" /></td>
         <td width="126" align="left"><a href="{@HREF}" class="submenu" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                <tr>
                  <td colspan="2"><img src="images/eug_22.gif"/></td>
                  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			  <td><img src="images/spacer.gif" width="20" height="10" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
